#pragma once
#include "BKDImage.h"
#pragma pack(push)
#pragma pack(1)
struct MikrodosFileRecord {
	BYTE dir_dir;	/* :  7 -  ,   -     */
	BYTE dir_num;	/* :  ,   ,    */
	BYTE name[14];	// ,    0177 - .   ,      .
	WORD start_blok;// 
	WORD len_blk;	//  ,  len_blk == 0        
	WORD address;	// 
	WORD length;	//
};
#pragma pack(pop)


class CBKDMikrodos :
	public CBKDImage
{
public:
	CBKDMikrodos(CMyListCtrl* pLC, long nBaseOffset, CString strFileName);
	virtual ~CBKDMikrodos(void);

	virtual BOOL ReadCatalog();

};

#define FMT_MIKRODOS_CAT_RECORD_NUMBER 030
#define FMT_MIKRODOS_DISK_SIZE 0466
#define FMT_MIKRODOS_CAT_BEGIN 0500
/*
    -,   .
 2  dir_dir  dir_num   ,   7  .
 .   030 -  - .
...
  , dir_num,   7 -  
*/
