#pragma once
#include "BKDImage.h"
#pragma pack(push)
#pragma pack(1)
struct AodosFileRecord {
	BYTE status1;	/* :  7 -  "",  1 -  "",  0 -  ""
					   -  6..0 -  ,  - */
	BYTE status2;	/* :  7 -  "",  6..0 -    */
	BYTE name[14];	// /
	WORD start_blok;// 
	WORD len_blk;	//  ,  0,    
	WORD address;	// 
	WORD length;	//
};
#pragma pack(pop)


class CBKDAodos :
	public CBKDImage
{
public:
	CBKDAodos(CMyListCtrl* pLC, long nBaseOffset, CString strFileName);
	virtual ~CBKDAodos(void);

	virtual BOOL ReadCatalog();
	virtual FILESAVE_STATUS AddFile(CString& str, int nDirNum, BOOL bAddAsBin = FALSE);
};

#define FMT_AODOS_CAT_RECORD_NUMBER 030
#define FMT_AODOS_FIRST_FREE_BLOCK 032
#define FMT_AODOS_DISK_SIZE 0466
#define FMT_AODOS_CAT_BEGIN 0500
/*
   2.02, 2.10

    

 
-------------------------
0		 0240,   
2		 br xxx
4*		 032 -   
5*		  :
		012 - 10   , 2 
		0212 - 10   , 1 
		011 - 9   , 2 
		0211 - 9   , 1 
06*		   
010*	- 
012*	
014		  (14 )
030		-   
032		 ,    (  -      )
0400	 0123456 -   
0466	   
0470	    - .    
0500	   -    
012000	    
024000	  

* -    , 
    

   030  .  

	
------------------------------------
0..1		 :
			 15. -  ""
			 14..8 -   
			 7 -  " "
			 1 -  ""
			 0 -  ""
			 6..0 -    ,   
2..017		  ( 0..040, 0200..0240 ,   )
020..021 	  ,  
022..023	 ,  ,     0,
			     
024..025	  (  )
026..027	   (   77777, ..    0100000 ?)

  40-     01414 , 
80- - 03054 .    0..011   ,
 ,      -  012..023
  .


   ,        .
     
  == 0177777
   == 14  
  ==    
   ==   
 ==  
 ==  
..         , 
  

 1.77
  .  8..14     
 0..6     0210(136.) .     .

       .
 -   4  14    ,  -  032 
   " AO-DOS ",    .  1.77   

*/
