#pragma once
#include "BKDImage.h"
#pragma pack(push)
#pragma pack(1)
struct MKDosFileRecord{
	BYTE status;	// ,     -
	BYTE dir_num;	// ,   
	BYTE name[14];	// /,     0177 -  .
	WORD start_blok;// 
	WORD len_blk;	//  
	WORD address;	// 
	WORD length;	//
};
#pragma pack(pop)

class CBKDMkdos :
	public CBKDImage
{

public:
	CBKDMkdos(CMyListCtrl* pLC, long nBaseOffset, CString strFileName);
	virtual ~CBKDMkdos(void);

	virtual BOOL ReadCatalog();
	virtual FILESAVE_STATUS AddFile(CString& str, int nDirNum, BOOL bAddAsBin = FALSE);
};

#define FMT_MKDOS_CAT_RECORD_NUMBER 030
#define FMT_MKDOS_TOTAL_FILES_USED_BLOCKS 032
#define FMT_MKDOS_DISK_SIZE 0466
#define FMT_MKDOS_FIRST_FILE_BLOCK 0470
#define FMT_MKDOS_CAT_BEGIN 0500
/*
  

  

	
------------------------------------------
030		    ( !)
032		     ( !) 
0400	    Micro DOS (0123456)
0402	   MK-DOS (051414)
0466	   ,    
		(   NORD, NORTON  ..)     
		40  80 ,  ,      76
		,         
		(   )
0470	   
0500	   

   

 
---------------------------------------------
0		  (0 - , 1 - , 2 -  ,
		0200 - BAD , 0377 - )
		    ==       .  ,
		        -   - .
1		     (0 - )
2		  14. 
020		 
022		  
024		
026		 (    0200000)

        0177,   . 
         ,
   ( .. ),       
,   .

   ,        .
     
  == 0
  == 0
  == 14. 
  ==    
   ==   
 == 0
 == 0

*/
